Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.document
Interface IDocumentDefinition

All Known Subinterfaces:
  IRequestDefinition, IResponseDefinition

All Known Implementing Classes:
  com.bea.document.internal.DocumentDefinition

public interface IDocumentDefinition
extends java.io.Serializable

This interface embodies all the metadata about a document type. It includes the document schema (structure and usage), and the root element name for all documents of this type.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`IDocument` | `createDefaultDocument()` Create a document which conforms to the schema for this document definition, and which contains any default data for elements or attributes in the schema.
`IDocument` | `createDefaultDocument(DefaultDocumentOptions options)` Using the specified options, create a new IDocument object which conforms to the structure prescribed by this schema, and contains any default values which have been specified.
`java.lang.String` | `getDescription()` Get the description for this object.
`SOMSchema` | `getDocumentSchema()` Get the document schema for this document definition.
`java.lang.String` | `getDocumentSchemaName()` Get the name of the document schema for this document definition.
`java.lang.String` | `getName()` Get the name of this object.
`java.lang.String` | `getRootElementName()` Get the root element name for this document definition.
`boolean` | `isNull()` Indicates whether this IDocumentDefinition represents a null (non-existent) document.
`void` | `setDescription(java.lang.String description)` Set the description for this object.
`void` | `setDocumentSchema(SOMSchema schema)` Set the document schema for this document definition.
`void` | `setDocumentSchemaName(java.lang.String schemaName)` Set the name of the document schema for this document definition.
`void` | `setName(java.lang.String name)` Set the name of this object.
`void` | `setRootElementName(java.lang.String rootElementName)` Set the root element name for this document definition.

Method Detail

### isNull

    public boolean isNull()

  Indicates whether this IDocumentDefinition represents a null (non-existent) document. If this method returns true, no meaningful return values can be given from the getDocumentSchemaName(), getDocumentSchema(), or getRootElementName() methods (they will throw IllegalStateException if called). Calling createDefaultDocument() on such a document definition will yield an empty IDocument instance with no root element.
  A document definition for a null document might be used to indicate that no request or response is provided from an ApplicationView service.

### setName

    public void setName(java.lang.String name)

  Set the name of this object.

### getName

    public java.lang.String getName()

  Get the name of this object.

### setDescription

    public void setDescription(java.lang.String description)

  Set the description for this object.

### getDescription

    public java.lang.String getDescription()

  Get the description for this object.

### getDocumentSchema

    public SOMSchema getDocumentSchema()

  Get the document schema for this document definition. If this method is called on an object for which isNull() returns true, this method will throw an IllegalStateException.

### setDocumentSchema

    public void setDocumentSchema(SOMSchema schema)

  Set the document schema for this document definition. If this method is called on an object for which isNull() returns true, this method has no effect.

### getDocumentSchemaName

    public java.lang.String getDocumentSchemaName()

  Get the name of the document schema for this document definition. If this method is called on an object for which isNull() returns true, this method will throw an IllegalStateException.

### setDocumentSchemaName

    public void setDocumentSchemaName(java.lang.String schemaName)

  Set the name of the document schema for this document definition. If this method is called on an object for which isNull() returns true, this method has no effect.

### getRootElementName

    public java.lang.String getRootElementName()

  Get the root element name for this document definition. If this method is called on an object for which isNull() returns true, this method will throw an IllegalStateException.

### setRootElementName

    public void setRootElementName(java.lang.String rootElementName)

  Set the root element name for this document definition. If this method is called on an object for which isNull() returns true, this method has no effect.

### createDefaultDocument

    public IDocument createDefaultDocument()
                                    throws java.lang.Exception

  Create a document which conforms to the schema for this document definition, and which contains any default data for elements or attributes in the schema. If this method is called on an object for which isNull() returns true, this returns an empty IDocument with no root element (getDocumentElement() returns null).

### createDefaultDocument

    public IDocument createDefaultDocument(DefaultDocumentOptions options)
                                    throws java.lang.Exception

  Using the specified options, create a new IDocument object which conforms to the structure prescribed by this schema, and contains any default values which have been specified. The options argument allows the user to control the creation of the default document. The options argument should be reused if possible because this method may cache information in it for increased performance. This method will recreate any needed information if a cached version is not present, however. If this method is called on an object for which isNull() returns true, this returns an empty IDocument with no root element (getDocumentElement() returns null).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)